QGIS Application - Bug report #1304
Image export dialog uses wrong file name on changing image type
2008-09-09 05:56 AM - cmoe -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No
Operating System: RedHat Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11364
Description

The image export dialog in the print composer opens always with the last file exported as suggestion (eg. 'foo.tif'). If | am changing the
image type now, let's say to a png, the file name field says 'foo.png'. This is correct, but if | save it now, the file name will be still 'foo.tif'.

| guess, the problem is, that the focus all the time lays on the last suggestion in the file/directory part of the dialog, where this last
suggestion ('foo.tif') is marked.

It works if | write anything in the file name field (e.g. delete the 'g' on 'foo.png' and add it again). Also the 'foo.tif' isn't marked any longer.

History

#1 - 2008-09-11 05:46 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

A fix for this is in commit:8552d60b (SVN r9300)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
